package com.tencent.magicbrush;

import android.support.annotation.Keep;

@Keep
public interface MBRuntime$IMBEventListener {
    void onConsoleOutput(String str);

    void onError(int i);

    void onFirstFrameRendered();

    void onJsExceptionOccurred(String str, String str2, int i);

    void onMainCanvasCreated(int i);

    void onMainCanvasTypeDefined(int i);

    void onRendererReady(int i, int i2);

    void onSystemSizeChanged(int i, int i2);
}
